Maya · Batch
Entegre et
maya/batch
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/maya/batch?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"texts": [
"Hello from Doitong. This is a short test sentence."
],
"prompts": [
"Hello from Doitong. This is a short test sentence."
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/maya/batch?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"texts": [
"Hello from Doitong. This is a short test sentence."
],
"prompts": [
"Hello from Doitong. This is a short test sentence."
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"texts": [
"Hello from Doitong. This is a short test sentence.",
],
"prompts": [
"Hello from Doitong. This is a short test sentence.",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/maya/batch", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/tr/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "maya/batch",
"input": {
"texts": [
"Hello from Doitong. This is a short test sentence."
],
"prompts": [
"Hello from Doitong. This is a short test sentence."
]
}
}
Maya · Batch modelini (maya/batch) Doitong API üzerinden çağırın. Ajanlar için belgeler: https://doitong.com/tr/developers/models/maya/batch.md
POST https://api.doitong.ru/v1/run/maya/batch?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"texts": [
"Hello from Doitong. This is a short test sentence."
],
"prompts": [
"Hello from Doitong. This is a short test sentence."
]
}
Yanıt durumu "queued" veya "running" ise, durum "succeeded" olana kadar GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 ile yoklayın; dosyalar outputs[].url içindedir. Aynı gövdeyle POST https://api.doitong.ru/v1/quote/maya/batch, çalıştırmadan önce kesin fiyatı döndürür.
Bu istek: ≈$0,049 49 API kredisi · ≈ ₽5,17 Bu sayfada çalıştır
Yeni API anahtarınız. Yalnızca şimdi gösterilir ve zaten aşağıdaki kodda ve API anahtarı alanında bulunur. Gizli tutun: tarayıcıda çalışan kodlara asla eklemeyin.
İlk sonucunuz burada görünecek
Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.
İstek oluştur
Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.
/run/maya/batch?wait=20
fiyat → $0,049
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/maya/batch?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"texts": [
"Hello from Doitong. This is a short test sentence."
],
"prompts": [
"Hello from Doitong. This is a short test sentence."
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/maya/batch?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"texts": [
"Hello from Doitong. This is a short test sentence."
],
"prompts": [
"Hello from Doitong. This is a short test sentence."
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"texts": [
"Hello from Doitong. This is a short test sentence.",
],
"prompts": [
"Hello from Doitong. This is a short test sentence.",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/maya/batch", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "maya/batch",
"input": {
"texts": [
"Hello from Doitong. This is a short test sentence."
],
"prompts": [
"Hello from Doitong. This is a short test sentence."
]
},
"wait_seconds": 20
}
}
}
Bu isteği çalıştır
Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al
Maya · Batch hakkında
Tek bir istekte çok sayıda klip sentezler. `texts` ve `prompts` alanlarının her biri 1 ile 100 arasında kayıt alır ve uzunlukları eşleşmelidir; böylece her metin bir ses açıklamasıyla eşleştirilir. Duygu etiketleri her metinde çalışır. Örnekleme hızı, çıktı biçimi ve temperature gibi ayarlar tüm sonuçlara uygulanır; sonuçlarda ses dosyaları ve sürelerinden oluşan bir liste bulunur.
Parametreler
textsgerekli
promptsgerekli
temperatureisteğe bağlı
top_pisteğe bağlı
max_tokensisteğe bağlı
repetition_penaltyisteğe bağlı
sample_rateisteğe bağlı
output_formatisteğe bağlı
enable_safety_checkeristeğe bağlı
Çıktı
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "maya/batch",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 49,
"usd": "0.049",
"charged": 49,
"refunded": 0
},
"input": {
"texts": [
"Hello from Doitong. This is a short test sentence."
],
"prompts": [
"Hello from Doitong. This is a short test sentence."
]
},
"output": {
"audios": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
}
],
"durations": [
5
],
"sample_rate": "48 kHz",
"total_generation_time": 5.7,
"average_rtf": 0.15
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Çıktı alanları
- audios
- array of object {url, content_type, file_name, file_size}Üretilen ses dosyaları; liste olarak döndürülür.
- durations
- array of numberÜretilen her ses kaydının saniye cinsinden uzunluğu.
- sample_rate
- stringTüm üretilen ses dosyaları tarafından paylaşılan örnekleme hızı.
- total_generation_time
- numberTüm ses dosyaları için saniye cinsinden toplam üretim süresi.
- average_rtf
- numberTüm üretimler üzerindeki ortalama gerçek zamanlı faktör.
Diğer Maya varyantları
Daha fazla model: Metinden Sese
AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/maya/batch.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt